Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.bitmap
Class TIFFRendererConfig.TIFFRendererConfigParser

    java.lang.Object
      org.apache.fop.render.bitmap.BitmapRendererConfig.BitmapRendererConfigParser
          org.apache.fop.render.bitmap.TIFFRendererConfig.TIFFRendererConfigParser

All Implemented Interfaces:
  RendererConfig.RendererConfigParser

Enclosing class:
  TIFFRendererConfig

    public static final class TIFFRendererConfig.TIFFRendererConfigParser

extends BitmapRendererConfig.BitmapRendererConfigParser

The TIFF renderer configuration parser.

Constructor Summary
`TIFFRendererConfig.TIFFRendererConfigParser()`

Method Summary
`TIFFRendererConfig` | `build(FOUserAgent userAgent, org.apache.avalon.framework.configuration.Configuration cfg)` Builds the object that contains the renderer configuration data.

Methods inherited from class org.apache.fop.render.bitmap.BitmapRendererConfig.BitmapRendererConfigParser
`getMimeType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TIFFRendererConfig.TIFFRendererConfigParser

    public TIFFRendererConfig.TIFFRendererConfigParser()

Method Detail

### build

    public TIFFRendererConfig build(FOUserAgent userAgent,
                                    org.apache.avalon.framework.configuration.Configuration cfg)
                             throws FOPException

  Builds the object that contains the renderer configuration data.

  Specified by:
    `build` in interface `RendererConfig.RendererConfigParser`
  Overrides:
    `build` in class `BitmapRendererConfig.BitmapRendererConfigParser`
  Parameters:
    `userAgent` - the user agent
    `cfg` - the Avalon config object for parsing the data
  Returns:
    the configuration data object
  Throws:
    `FOPException` - if an error occurs while parsing the fop conf

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.